Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxcb.h File Reference

Go to the source code of this file.

## Enumerations
enum | DMXRecomputeFlag
## Functions
void | dmxSetWidthHeight (int width, int height)
void | dmxComputeWidthHeight (DMXRecomputeFlag flag)
void | dmxConnectionBlockCallback (void)
## Variables
int | dmxGlobalWidth
int | dmxGlobalHeight

## Detailed Description

Header file for connection block functions.

See also:
  dmxcb.c.

## Enumeration Type Documentation

enum DMXRecomputeFlag

| dmxComputeWidthHeight can either recompute the global bounding box or not.

## Function Documentation

void dmxComputeWidthHeight | ( | DMXRecomputeFlag | flag | ) |

| Computes the global bounding box for DMX. This may be larger than the one computed by Xinerama because of the DMX configuration file.

void dmxConnectionBlockCallback | ( | void |  | ) |

| A callback routine that hooks into Xinerama and provides a convenient place to print summary log information during server startup. This routine does not modify any values.

void dmxSetWidthHeight | ( | int | width,
|  | int | height
| ) |

| We may want the wall dimensions to be different from the bounding box dimensions that Xinerama computes, so save those and update them here.

## Variable Documentation

int dmxGlobalHeight

| The cursor position, in global coordinates.

int dmxGlobalWidth

| The cursor position, in global coordinates.